<?php
namespace Teknisa\FIS\Modules\Acessorias\Controllers;

use Teknisa\FIS\Modules\Acessorias\Services\Fis45000DesissBHService;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response\Error;


class Fis45000DesissBHController {

    protected $desissBHService;

    public function __construct(EntityManager $entityManager, Fis45000DesissBHService $desissBHService) {
        $this->entityManager    = $entityManager;
        $this->desissBHService  = $desissBHService;
        set_time_limit(0);
    }

    /*
     * Função para realizar a exportação do SINTEGRA.
     */
    public function exportarDesissBH(DTO\Request $request, DTO\Response $response) {
        try {
          
            $row = $request->getRow();
            
            $row["NMARQUIVO"] = str_replace(' ', '', $row["NMARQUIVO"]);

            // Chama a função de exportação.
            $fileName = $this->desissBHService->exportarDesissBH($row);

            // Retorna o nome do arquivo exportado.
            $response->addDataset(new DataSet('columnsToReturn', array("fileName" => $fileName)));
        } catch(\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
    
}
