<?php
namespace Teknisa\FIS\Modules\Relatorios\Controllers;

use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;

class Fis96000ConferenciaFiscalController extends \Zeedhi\Framework\Controller\Report {

    protected $novoCodigo;
    protected $procedureNutriente;
    protected $parameterBagColumns;
    protected $entityManager;
    protected $qr2Strategy;
    protected $nrsequnutr;
    protected $cdfilial;
    protected $nrorg;
    protected $connection;

    public function __construct($reportService, $novoCodigo, $entityManager, $qr2Strategy, $connection) {
        
        $this->reportService      = $reportService;
        $this->novoCodigo         = $novoCodigo;
        $this->entityManager      = $entityManager;
        $this->qr2Strategy        = $qr2Strategy;
        $this->connection         = $connection;
  
    }

    protected $reportMapping = array (
        // Relatorio de Apuração de Impostos
        'FIS96035' =>  
        array (
            'strategy' => 'QR2',
            'parameterMapping' => 
            array (
                'CDEMPRESA'       => 'P_EMPRESA',
                'DTINICIO'        => 'P_DTINICIO',
                'DTFINAL'         => 'P_DTFINAL',
            ), 
        ),
    );
    
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response){
        set_time_limit(14400);
        $row = $request->getRow();
        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);
    }
}